/*
 * Custom function used to generate the output of the theme variables
 */

var generateThemeVariables = function(params) {
   let output = '';

      output += ` 
         :root {
            --navbar-height:      ${params.navbarHeight};
                --entry-width:        ${params.entryWidth}; 
                --hero-height:        ${params.heroHeight};
                --hero-bg:            ${params.heroBg};  
                --hero-text-color:    ${params.heroTextColor};  
                --hero-border-color:  ${params.heroBorderColor}; 
                --hero-overlay:       ${params.heroOverlay}; 
                --side-nav-width:     ${params.navWidth};  
                --side-nav-bg:        ${params.navBg};
                --side-nav-link:      ${params.navLinkColor};
                --side-nav-link-hover:${params.navLinkColorHover};
                --logo-color:         ${params.logoColor};
                --line-height:        ${params.lineHeight}; 
                --font-weight-normal: ${params.fontNormalWeight}; 
                --font-weight-bold:   ${params.fontBoldWeight}; 
                --headings-weight:    ${params.fontHeadignsWeight};
                --headings-transform: ${params.fontHeadingsTransform};
                --white:              #FFFFFF;
                --black:              #000000;
                --dark:               #262626;
                --gray-1:             #5C5C5C;
                --gray-2:             #9D9D9D;
                --light:              #D5D5D5;
                --lighter:            #F3F3F3;
                --color:              ${params.primaryColor};   
                --color-rgb:          ${params.primaryColor.replace('#', '').match(/[a-f0-9]{2,2}/gmi).map(n => parseInt(n, 16)).join(', ')};
                --text-color:         ${params.textColor};   
                --headings-color:     ${params.headingsColor}; 
      }`;  

   return output;
}

module.exports = generateThemeVariables;